mia-labelsort
Prev | Miscellaneous programs | Next

### mia-labelsort

#### Sysnopis:

`mia-labelsort` {-i `string`} {-o `string`} [ `options` ...]

#### Description:

This program is used create a mapping based on a histogram that puts the intensities with high values at the beginning of the histogram. The main use case will be to sort labels of connected components in out-of-core image processing.

#### Options:

-i, --in-file=(input, required); string

  input file name containing the histogram

-o, --out-file=(output, required); string

  output file name to store probabilities

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

    mia-labelsort

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-filenumberpattern | Home | mia-myowavelettest